tigase.jaxmpp.core.client

## Class MultiJaxmpp

- java.lang.Object
- - tigase.jaxmpp.core.client.MultiJaxmpp

-     public class MultiJaxmpp
      extends Object

  Class for keeping many instances of JaxmppCore.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiJaxmpp()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T extends JaxmppCore> void` | `add(T jaxmpp)` Register implementation of JaxmppCore
    `<H extends EventHandler> void` | `addHandler(Class<? extends Event<H>> type, H handler)`
    `<H extends EventHandler> void` | `addListener(Class<? extends Event<H>> type, EventListener listener)`
    `<H extends EventHandler> void` | `addListener(EventListener listener)`
    `Collection<JaxmppCore>` | `get()` Returns collection of registered instances of JaxmppCore
    `<T extends JaxmppCore> T` | `get(BareJID userJid)` Return instance of JaxmppCore connected registered for specific user account.
    `<T extends JaxmppCore> T` | `get(SessionObject sessionObject)` Returns instance of JaxmppCore connected registered for specific user account represented by SessionObject.
    `void` | `remove(Class<? extends Event<?>> type, EventHandler handler)`
    `void` | `remove(EventHandler handler)`
    `<T extends JaxmppCore> void` | `remove(T jaxmpp)` Unregisters JaxmppCore.
    `void` | `reset()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiJaxmpp

          public MultiJaxmpp()

  - ### Method Detail

    - #### reset

          public void reset()

    - #### add

          public <T extends JaxmppCore> void add(T jaxmpp)

      Register implementation of JaxmppCore
      Parameters:
        `jaxmpp` - JaxmppCore instance

    - #### addHandler

          public <H extends EventHandler> void addHandler(Class<? extends Event<H>> type,
                                                          H handler)

      See Also:
        `DefaultEventBus.addHandler(java.lang.Class, * tigase.jaxmpp.core.client.eventbus.EventHandler)`

    - #### addListener

          public <H extends EventHandler> void addListener(Class<? extends Event<H>> type,
                                                           EventListener listener)

      See Also:
        `DefaultEventBus.addListener(java.lang.Class, * tigase.jaxmpp.core.client.eventbus.EventListener)`

    - #### addListener

          public <H extends EventHandler> void addListener(EventListener listener)

      See Also:
        `DefaultEventBus.addListener(tigase.jaxmpp.core.client.eventbus.EventListener)`

    - #### get

          public Collection<JaxmppCore> get()

      Returns collection of registered instances of JaxmppCore
      Returns:
        collection

    - #### get

          public <T extends JaxmppCore> T get(BareJID userJid)

      Return instance of JaxmppCore connected registered for specific user account.
      Parameters:
        `userJid` - user account
      Returns:
        JaxmppCore

    - #### get

          public <T extends JaxmppCore> T get(SessionObject sessionObject)

      Returns instance of JaxmppCore connected registered for specific user account represented by SessionObject.
      Parameters:
        `sessionObject` - SessionObject related to user account
      Returns:
        JaxmppCore

    - #### remove

          public void remove(Class<? extends Event<?>> type,
                             EventHandler handler)

      See Also:
        `DefaultEventBus.remove(java.lang.Class, * tigase.jaxmpp.core.client.eventbus.EventHandler)`

    - #### remove

          public void remove(EventHandler handler)

      See Also:
        `DefaultEventBus.remove(tigase.jaxmpp.core.client.eventbus.EventHandler)`

    - #### remove

          public <T extends JaxmppCore> void remove(T jaxmpp)

      Unregisters JaxmppCore.
      Parameters:
        `jaxmpp` - JaxmppCore to unregister.

Copyright © 2006–2023 Tigase. All rights reserved.